### Enumeration

# FwupdPlugin FirmwareFlags

#### Declaration

    flags FwupdPlugin.FirmwareFlags

#### Description [src]

The firmware flags.

#### Members

`FU_FIRMWARE_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 1.5.0
`FU_FIRMWARE_FLAG_DEDUPE_ID`

  Dedupe images by ID.

  - Value: `1`
  - Available since: 1.5.0
`FU_FIRMWARE_FLAG_DEDUPE_IDX`

  Dedupe images by IDX.

  - Value: `2`
  - Available since: 1.5.0
`FU_FIRMWARE_FLAG_HAS_CHECKSUM`

  Has a CRC or checksum to test internal consistency.

  - Value: `4`
  - Available since: 1.5.6
`FU_FIRMWARE_FLAG_HAS_VID_PID`

  Has a vendor or product ID in the firmware.

  - Value: `8`
  - Available since: 1.5.6
`FU_FIRMWARE_FLAG_DONE_PARSE`

  The firmware object has been used by fu_firmware_parse_bytes().

  - Value: `16`
  - Available since: 1.7.3
`FU_FIRMWARE_FLAG_HAS_STORED_SIZE`

  Encodes the image size in the firmware.

  - Value: `32`
  - Available since: 1.8.2
`FU_FIRMWARE_FLAG_ALWAYS_SEARCH`

  Always searches for magic regardless of the install flags. This is useful for firmware that always has an unparsed variable-length header.

  - Value: `64`
  - Available since: 1.8.6
`FU_FIRMWARE_FLAG_NO_AUTO_DETECTION`

  Do not use this firmware type when auto-detecting firmware. This should be used when there is no valid signature or CRC to check validity when parsing.

  - Value: `128`
  - Available since: 1.9.3
`FU_FIRMWARE_FLAG_HAS_CHECK_COMPATIBLE`

  The firmware subclass implements a compatibility check.

  - Value: `256`
  - Available since: 1.9.20
`FU_FIRMWARE_FLAG_UNKNOWN`

  Unknown flag value.

  - Value: `0`
  - Available since: 2.0.0